CancelledBookings
Update CancelledBooking
Update an existing CancelledBooking record.
PUT
Update CancelledBooking
Updates an existing CancelledBooking record. You must include the
Id of the record to update along with all required fields.
Authentication
This endpoint requires OAuth2 authentication. Include a valid bearer token in the
Authorization header.
The authenticated user must be a full unrestricted administrator or have the CancelledBooking-Edit role.Enums
eBookingCancellationReason
eBookingCancellationReason
| Value | Name |
|---|---|
| 0 | Unknown |
| 1 | NoLongerNeeded |
| 2 | TooExpensive |
| 3 | BadPreviousExperience |
| 4 | RebookedForADifferentTime |
| 5 | FailedToPayUpfront |
| 6 | Integration |
| 7 | Other |
| 8 | NotCheckedIn |
| 9 | MarketPlace |
eBookingRepeatCycle — Repeats values
eBookingRepeatCycle — Repeats values
| Value | Name |
|---|---|
| 1 | Daily |
| 2 | Weekly |
| 3 | Monthly |
| 4 | Yearly |
| 5 | FirstOfMonth |
| 6 | SecondOfMonth |
| 7 | ThirdOfMonth |
| 8 | LastOfMonth |
| 9 | FourthOfMonth |
eRepeatedBookingUpdateAction — WhichBookingsToUpdate values
eRepeatedBookingUpdateAction — WhichBookingsToUpdate values
| Value | Name |
|---|---|
| 1 | UpdateThisBookingOnly |
| 2 | UpdateFutureBookingsOnly |
| 3 | UpdateAllBookings |
| 4 | UpdateNotChargedBookings |
| 5 | DeleteAllBookings |
| 6 | DeleteBookingsAfterThis |
| 7 | DeleteNotChargedBookings |
| 8 | RevertAllCharges |
Request Body
Required Fields
The Id of the CancelledBooking record to update.
ID of the resource linked to this record.
Booking start time.
Booking end time.
The repeats value for this cancelled booking.
Date/time value for which bookings to update.
Date and time when the booking was cancelled.
Optional Fields
ID of the floor plan desk linked to this record.
ID of the coworker linked to this record.
ID of the extra service linked to this record.
Optional notes or comments about this cancelled booking.
The internal notes value for this cancelled booking.
Whether charge now is enabled.
Whether invoice now is enabled.
Whether invoice this coworker is enabled.
Whether do not use booking credit is enabled.
The purchase order value for this cancelled booking.
The discount code value for this cancelled booking.
Date/time value for last notification time.
ID of the google calendar associated with this record.
ID of the google event associated with this record.
ID of the office365 event associated with this record.
ID of the public google event associated with this record.
Tentative booking. Must be approved by an administrator before confirmed or charged. Tentative bookings still block the calendar.
Whether online is enabled.
The teams at the time of booking value for this cancelled booking.
The tariff at the time of booking value for this cancelled booking.
ID of the repeat series unique associated with this record.
Whether repeat booking is enabled.
The repeat every value for this cancelled booking.
Date/time value for repeat until.
Whether repeat on mondays is enabled.
Whether repeat on tuesdays is enabled.
Whether repeat on wednesdays is enabled.
Whether repeat on thursdays is enabled.
Whether repeat on fridays is enabled.
Whether repeat on saturdays is enabled.
Whether repeat on sundays is enabled.
Whether reminded is enabled.
Whether mrm reminded is enabled.
The override price value for this cancelled booking.
Whether the booking had been charged. When true, a charge (CoworkerExtraService) had been posted to the customer account.
Date/time value for invoice date.
The booking number value for this cancelled booking.
ID of the kisi key associated with this record.
ID of the start scheduled job associated with this record.
ID of the end scheduled job associated with this record.
Whether billed is enabled.
Date/time value for from time local.
Date/time value for to time local.
Date/time value for invoice date local.
ID of the coworker invoice associated with this record.
The coworker invoice number value for this cancelled booking.
Whether coworker invoice paid is enabled.
Whether coworker invoice draft is enabled.
Whether coworker invoice void is enabled.
Whether coworker invoice credit note is enabled.
The coworker extra service ids value for this cancelled booking.
The coworker extra service price value for this cancelled booking.
The coworker extra service currency code value for this cancelled booking.
The coworker extra service charge period value for this cancelled booking.
The coworker extra service total uses value for this cancelled booking.
Whether include zoom invite is enabled.
The zoom event data value for this cancelled booking.
Date/time value for checked in at.
Whether cancel if not paid is enabled.
Whether cancel if not checked in is enabled.
The max occupancy value for this cancelled booking.
The last minute price adjustment value for this cancelled booking.
The dynamic price adjustment value for this cancelled booking.
The price factor last minute value for this cancelled booking.
The price factor demand value for this cancelled booking.
ID of the office365 admin event associated with this record.
Reason the booking was cancelled, e.g. NoLongerNeeded, TooExpensive, or NotCheckedIn. See
eBookingCancellationReason? enum above.Name or identifier of the user who cancelled the booking.
Additional free-text details explaining the cancellation reason.
Booking price.
ID of the original booking associated with this record.
Code Examples
Response
200
HTTP status code.
200 on success.A human-readable message confirming the update.
Contains the
Id of the updated record.true if the cancelledbooking was updated successfully.null on success.Example Response
400
A summary of the validation error(s), in the format
PropertyName: error message.null on validation failure.Array of validation errors.
false when the request fails validation.Example Response
Update CancelledBooking